GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTX_vector_query
GTX Extensions (Experimental)

## Functions
template<typename genType >
bool | areCollinear (genType const &v0, genType const &v1, typename genType::T const &epsilon)
template<typename genType >
bool | areOrthogonal (genType const &v0, genType const &v1, typename genType::T const &epsilon)
template<typename genType >
bool | areOrthonormal (genType const &v0, genType const &v1, typename genType::T const &epsilon)
template<typename genType , precision P, template< typename, precision > class vecType>
bool | isNormalized (vecType< genType, P > const &v, genType const &epsilon)
template<typename T , precision P>
bool | isNull (detail::tvec2< T, P > const &v, T const &epsilon)
template<typename T , precision P>
bool | isNull (detail::tvec3< T, P > const &v, T const &epsilon)
template<typename T , precision P>
bool | isNull (detail::tvec4< T, P > const &v, T const &epsilon)

## Detailed Description

Query informations of vector types.

<glm/gtx/vector_query.hpp> need to be included to use these functionalities.

## Function Documentation

bool glm::areCollinear | ( | genType const & | v0,
|  | genType const & | v1,
|  | typename genType::T const & | epsilon
| ) |  |

Check whether two vectors are collinears.

See Also
  GLM_GTX_vector_query extensions.

bool glm::areOrthogonal | ( | genType const & | v0,
|  | genType const & | v1,
|  | typename genType::T const & | epsilon
| ) |  |

Check whether two vectors are orthogonals.

See Also
  GLM_GTX_vector_query extensions.

bool glm::areOrthonormal | ( | genType const & | v0,
|  | genType const & | v1,
|  | typename genType::T const & | epsilon
| ) |  |

Check whether two vectors are orthonormal.

See Also
  GLM_GTX_vector_query extensions.

bool glm::isNormalized | ( | vecType< genType, P > const & | v,
|  | genType const & | epsilon
| ) |  |

Check whether a vector is normalized.

See Also
  GLM_GTX_vector_query extensions.

bool glm::isNull | ( | detail::tvec2< T, P > const & | v,
|  | T const & | epsilon
| ) |  |

Check whether a vector is null.

See Also
  GLM_GTX_vector_query extensions.

bool glm::isNull | ( | detail::tvec3< T, P > const & | v,
|  | T const & | epsilon
| ) |  |

Check whether a vector is null.

See Also
  GLM_GTX_vector_query extensions.

bool glm::isNull | ( | detail::tvec4< T, P > const & | v,
|  | T const & | epsilon
| ) |  |

Check whether a vector is null.

See Also
  GLM_GTX_vector_query extensions.